package md

type SuggestedFeedbackListReq struct {
	Name          string `json:"name" label:"姓名"`
	Phone         string `json:"phone"  label:"电话"`
	State         int    `json:"state"  label:"状态"`
	StartCreateAt string `json:"start_create_at"  label:"开始-创建时间"`
	EndCreateAt   string `json:"end_create_at"  label:"截止-创建时间"`
	Limit         int    `json:"limit" binding:"required"`
	Page          int    `json:"page" binding:"required"`
}

type SuggestedFeedbackListResp struct {
	Id               int    `json:"id" `
	EnterpriseId     int    `json:"enterprise_id" `
	EnterpriseName   string `json:"enterprise_name" `
	Uid              int    `json:"uid" `
	UserIdentityId   int    `json:"user_identity_id" `
	UserIdentityKind int    `json:"user_identity_kind" `
	UserIdentityName string `json:"user_identity_name" `
	Phone            string `json:"phone" label:"联系电话"`
	Nickname         string `json:"nickname" label:"姓名"`
	Content          string `json:"content" label:"建议内容"`
	Kind             int    `json:"kind" label:"回复状态"`
	ReplyContent     string `json:"reply_content" label:"回复内容"`
	ReplyDate        string `json:"reply_date"`
	CreateAt         string `json:"create_at"`
	UpdateAt         string `json:"update_at"`
}

type ReplySuggestedFeedbackReq struct {
	Id           int    `json:"id" binding:"required" label:"公司id"`
	ReplyContent string `json:"reply_content"  label:"内容"`
}
