package enum

type CentralKitchenForSchoolUserRefundDayState int32

const (
	CentralKitchenForSchoolUserRefundDayStateForAuditing      = 1
	CentralKitchenForSchoolUserRefundDayStateForAuditPass     = 2
	CentralKitchenForSchoolUserRefundDayStateForAuditReject   = 3
	CentralKitchenForSchoolUserRefundDayStateForAuditComplete = 4
	CentralKitchenForSchoolUserRefundDayStateForRefundIng     = 5
	CentralKitchenForSchoolUserRefundDayStateForRefundErr     = 6
)

func (gt CentralKitchenForSchoolUserRefundDayState) String() string {
	switch gt {
	case CentralKitchenForSchoolUserRefundDayStateForAuditing:
		return "审核中"
	case CentralKitchenForSchoolUserRefundDayStateForAuditPass:
		return "审核通过"
	case CentralKitchenForSchoolUserRefundDayStateForAuditReject:
		return "审核拒绝"
	case CentralKitchenForSchoolUserRefundDayStateForAuditComplete:
		return "退款已完成"
	case CentralKitchenForSchoolUserRefundDayStateForRefundIng:
		return "退款中"
	case CentralKitchenForSchoolUserRefundDayStateForRefundErr:
		return "退款失败"
	default:
		return "未知"
	}
}
